MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022306Community[OCCT] OCCT:Modeling Algorithmspublic2011-03-04 13:462011-12-01 11:25
Reporterszy 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022306: Fuse between cylinder and sphere produces not vallid result
DescriptionFuse (cut & common too)operation produces not valid result:
bop cyl sph
bopfuse r
Draw[25]> checkshape r
On Shape faulty_1 :
BRepCheck_UnorientableShape
Shape faulty_2 on shape faulty_1 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
On Shape faulty_3 :
BRepCheck_SelfIntersectingWire
On Shape faulty_4 :
BRepCheck_UnorientableShape
Shape faulty_3 on shape faulty_4 :
BRepCheck_SelfIntersectingWire
Shape faulty_5 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag
Shape faulty_2 on shape faulty_4 :
BRepCheck_InvalidCurveOnSurface
BRepCheck_InvalidSameParameterFlag

Faulty shapes in variables faulty_1 to faulty_5

================================
the referenced message is below.
post 20021
--------------
this is my code:
I get a result FusedShape,but this shape is error,anybody help me,please...
//////////////////////////////////////////////////////////////////////
gp_Circ c = gp_Circ(gp_Ax2(gp_Pnt(0,0,0), gp_Dir(0,0,1)), 5);
TopoDS_Edge Ec = BRepBuilderAPI_MakeEdge(c);
TopoDS_Wire w = BRepBuilderAPI_MakeWire(Ec);
BRepBuilderAPI_MakeFace mkf(w);
TopoDS_Face f = mkf.Face();

TopoDS_Shape theShp1 = BRepPrimAPI_MakePrism(f, gp_Vec(0,0,10));//cylinder

TopoDS_Shape theShp2 = BRepPrimAPI_MakeSphere(gp_Pnt(5,0,10), 5);//Sphere

TopoDS_Shape FusedShape = BRepAlgoAPI_Fuse(theShp1,theShp2);
//////////////////////////////////////////////////////////////////////
Additional information
and documentation updates
Documentation remark, added by Julia JGV 2011-04-27 11:40:01:

Changes:
Two small changes correcting functions DecompositionOfWLine and FindPoint
Modified entities:
IntTools_FaceFace.cxx
TagsNo tags attached.
Test case numberchl 934 B5 B6 B7 B8 B9
Attached Fileszip file icon shapes.zip (82,396 bytes) 2011-03-04 13:46
gz file icon jgv-OCC22306-v1.tar.gz (48,722 bytes) 2011-04-26 17:37
gz file icon chl_934_B5_B6_B7_B8_B9.tar.gz (931 bytes) 2011-09-08 18:02

- Relationships

-  Notes
(0017856)
bugmaster (administrator)
2011-07-29 13:52

SVN branch http://svn/svn/occt/branches/OCC22306 [^]
has been created and ready to be revised
(0017902)
jgv (developer)
2011-08-03 18:18

Anton,
Please stop revising.
Bug fix will be merged by JGV with 0022678
(0018249)
bugmaster (administrator)
2011-09-21 15:54

Issue has been solved by integration for 0022678

- Issue History
Date Modified Username Field Change
2011-04-06 18:32 bugmaster Status closed => assigned
2011-04-06 18:32 bugmaster Resolution suspended => @0@
2011-04-06 19:07 bugmaster Assigned To bugmaster => szy
2011-04-07 16:07 szy Assigned To szy => jgv
2011-04-27 13:40 jgv Status assigned => resolved
2011-07-29 13:52 bugmaster Note Added: 0017856
2011-07-29 13:52 bugmaster Assigned To jgv => apl
2011-07-29 13:52 bugmaster Status resolved => assigned
2011-07-29 13:53 bugmaster Status assigned => resolved
2011-07-29 13:53 bugmaster Fixed in Version EMPTY =>
2011-07-29 13:53 bugmaster Description Updated View Revisions
2011-07-29 13:53 bugmaster Additional Information Updated View Revisions
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-08-03 18:18 jgv Note Added: 0017902
2011-08-03 18:18 jgv Assigned To apl => jgv
2011-08-03 18:18 jgv Status resolved => assigned
2011-08-03 18:19 jgv Relationship added child of 0022678
2011-09-08 18:02 mkv File Added: chl_934_B5_B6_B7_B8_B9.tar.gz
2011-09-08 18:02 mkv Test case number => chl 934 B5 B6 B7 B8 B8
2011-09-08 18:03 mkv Test case number chl 934 B5 B6 B7 B8 B8 => chl 934 B5 B6 B7 B8 B9
2011-09-21 14:14 szy Target Version => 6.5.3
2011-09-21 15:53 bugmaster Target Version 6.5.3 => 6.5.2
2011-09-21 15:54 bugmaster Note Added: 0018249
2011-09-21 15:54 bugmaster Status assigned => verified
2011-12-01 11:25 szy Additional Information Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker